<Project Sdk="Microsoft.NET.Sdk.Web">
  <PropertyGroup>
    <TargetFramework>net9.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <Version>2.20.0</Version>
  </PropertyGroup>
  
  <ItemGroup>
    <_ContentIncludedByDefault Remove="wwwroot\css\base.css" />
  </ItemGroup>

  <PropertyGroup Condition="'$(Configuration)'=='Release'">
    <DebugSymbols>False</DebugSymbols>
    <DebugType>None</DebugType>
  </PropertyGroup>

  <ItemGroup>
    <None Include="wwwroot\Avatar.png" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Autofac.Extensions.DependencyInjection" Version="10.0.0" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.Google" Version="9.0.1" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.MicrosoftAccount" Version="9.0.1" />
    <PackageReference Include="Microsoft.AspNetCore.Diagnostics.EntityFrameworkCore" Version="9.0.1" />
    <PackageReference Include="Microsoft.AspNetCore.Identity.UI" Version="9.0.1" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="9.0.1" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="9.0.1">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="NTDLS.DelegateThreadPooling" Version="1.5.12" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\ZelWiki.Caching\ZelWiki.Caching.csproj" />
    <ProjectReference Include="..\ZelWiki.Email\ZelWiki.Email.csproj" />
    <ProjectReference Include="..\ZelWiki.Engine.Implementation\ZelWiki.Engine.Implementation.csproj" />
    <ProjectReference Include="..\ZelWiki.Engine\ZelWiki.Engine.csproj" />
    <ProjectReference Include="..\ZelWiki.Library\ZelWiki.Library.csproj" />
    <ProjectReference Include="..\ZelWiki.Models\ZelWiki.Models.csproj" />
    <ProjectReference Include="..\ZelWiki.Repository\ZelWiki.Repository.csproj" />
    <ProjectReference Include="..\ZelWiki.Security\ZelWiki.Security.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Content Update="Views\Admin\PageRevisions.cshtml">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="Views\File\Revisions.cshtml">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\css\light.css">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
  </ItemGroup>

</Project>
